Subject: bug#51556: 29.0.50; Poor contrast of Customize SVG icons with dark backgrounds

From: Eli Zaretskii <[email-masked]>
Date: Tue, 02 Nov 2021 20:53:11 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 2 Nov 2021 11:43:08 -0700
> Cc: [email-masked], [email-masked], [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > If the solution you propose only works for SVG that specify no
> > foreground, then it won't be able to solve all of the situations where
> > a different theme makes an icon barely visible or unpleasant to the
> > eye.
> 
> It is certainly the correct solution for all the sets of scalable icons
> that I have reviewed.  Which SVG icons do you have in mind?  Could you
> point me to them?

Try splash.svg, as a trivial example (and forget that it's too large
for an icon, this is just an example).

> For the icons I know of, the best solution if you need to change the
> color of this or that icon, is to either change the active defface to
> use the correct color, or to introduce a new defface.  This is, not by
> accident, the chosen solution also for icons on the web.

We have a disconnect here, because I don't follow.  Are you talking
only about SVG that use only the gray color for its lines?

> > Which is why I think a better solution would be to allow themes
> > to specify different icons where necessary.
> 
> Color themes should not *need* to provide their own icons when all they
> want is to change the color of an icon.

I said "should allow", and you say "need".  We are mis-communicating.
And that's in addition to the color business, where we also have some
sort of disconnect.

> Furthermore, the patch I have already posted here is sufficient for the
> purposes of this bug report.  I suggest we install it.

On master?  I don't object.